> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/clientserver-protocol/replication-protocol/fake-gtid_list-event.md).

# Fake GTID\_LIST Event

This event is sent by master server to the registering replica. It is sent only once, after the [Format Description Event](/docs/server/reference/clientserver-protocol/replication-protocol/format_description_event.md).

{% hint style="info" %}
The fake `GTID_LIST` event is not written in the binlog file. It's created by the master and sent to newly connected replica before any "real" binlog event.
{% endhint %}

## Header

* Event type is set to `163` (`0xa3`).
* Time stamp set to `0`.
* NextPos tells which is the binlog position of next event.
* Flags are set to `ARTIFICIAL` (`0x20`).

## Content

The content is the same as the "real" [GTID\_LIST](/docs/server/reference/clientserver-protocol/replication-protocol/gtid_list_event.md).

* **of GTIDs**
* domain\_id
* server\_id
* sequence
* ...

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/clientserver-protocol/replication-protocol/fake-gtid_list-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
